Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.codec.wmf
Class MetaPen

    java.lang.Object
      com.lowagie.text.pdf.codec.wmf.MetaObject
          com.lowagie.text.pdf.codec.wmf.MetaPen

    public class MetaPen

extends MetaObject

Field Summary
`(package private) Color` | `color`
`(package private) int` | `penWidth`
`static int` | `PS_DASH`
`static int` | `PS_DASHDOT`
`static int` | `PS_DASHDOTDOT`
`static int` | `PS_DOT`
`static int` | `PS_INSIDEFRAME`
`static int` | `PS_NULL`
`static int` | `PS_SOLID`
`(package private) int` | `style`

Fields inherited from class com.lowagie.text.pdf.codec.wmf.MetaObject
`META_BRUSH, META_FONT, META_NOT_SUPPORTED, META_PEN, type`

Constructor Summary
`MetaPen()`

Method Summary
`Color` | `getColor()`
`int` | `getPenWidth()`
`int` | `getStyle()`
`void` | `init(InputMeta in)`

Methods inherited from class com.lowagie.text.pdf.codec.wmf.MetaObject
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PS_SOLID

    public static final int PS_SOLID

See Also:
  Constant Field Values

### PS_DASH

    public static final int PS_DASH

See Also:
  Constant Field Values

### PS_DOT

    public static final int PS_DOT

See Also:
  Constant Field Values

### PS_DASHDOT

    public static final int PS_DASHDOT

See Also:
  Constant Field Values

### PS_DASHDOTDOT

    public static final int PS_DASHDOTDOT

See Also:
  Constant Field Values

### PS_NULL

    public static final int PS_NULL

See Also:
  Constant Field Values

### PS_INSIDEFRAME

    public static final int PS_INSIDEFRAME

See Also:
  Constant Field Values

### style

    int style

### penWidth

    int penWidth

### color

    Color color

Constructor Detail

### MetaPen

    public MetaPen()

Method Detail

### init

    public void init(InputMeta in)
              throws IOException

  Throws:
    `IOException`

### getStyle

    public int getStyle()

### getPenWidth

    public int getPenWidth()

### getColor

    public Color getColor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD